<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>

    <div id="root">

    </div>
    
<script>
    // 1. moznost
    let myFirstFunction = function(message) {
        console.log(message);
    }

    myFirstFunction("Ahoj svete!");

    (function(message) {
        console.log(message);
    })("Hello world!")


    let root = document.getElementById("root");
    let text = document.createTextNode("Ahoj!");
    
    root.appendChild(text);

</script>

</body>
</html>